The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

APCu w/ php7

Discussion in 'EasyApache' started by Sean Dinwiddie, May 12, 2016.

Tags:
  1. Sean Dinwiddie

    Sean Dinwiddie Registered

    Joined:
    May 12, 2016
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    96002
    cPanel Access Level:
    Root Administrator
    Hello,

    How is APCu to be installed?? Would be awesome to do it through the WHM gui...

    Am trying this .joomlaworks.net/blog/item/153-install-apc-apcu-on-a-whm-cpanel-server and it produces an error_log in the module/extensions directory. Then tried it with APCu-5.1.4, but that does not will not build...
     
    #1 Sean Dinwiddie, May 12, 2016
    Last edited by a moderator: May 12, 2016
  2. Sean Dinwiddie

    Sean Dinwiddie Registered

    Joined:
    May 12, 2016
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    96002
    cPanel Access Level:
    Root Administrator
    WHM 56 w/CGI/FastCGI
    php extension error_log with APC-4: undefined symbol: zval_used_for_init in Unknown on line 0
    APCu-5.1.4: pecl install command states: ERROR: `make' failed.
     
  3. Sean Dinwiddie

    Sean Dinwiddie Registered

    Joined:
    May 12, 2016
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    96002
    cPanel Access Level:
    Root Administrator
    Fixed it! Updated the "/usr/local/bin/php-config" file per changing prefix, datarootdir, and extension_dir to the "/opt/cpanel/ea-php70/root/usr" directory.
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    676
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    I'm happy to see you were able to address the issue. Thank you for updating us with the outcome.
     
  5. NovemberRain

    NovemberRain Well-Known Member

    Joined:
    Sep 24, 2003
    Messages:
    93
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    İstanbul
    cPanel Access Level:
    Root Administrator
    I am also trying to find out how to install apcu manually as pecl does not work on EA4

    I have php 5.6 and php 7 installed. php 7 is dso and I want to install apcu for php 7

    Below are the insturctions for installing but how can I point it to the php 7 installation?

    Thanks.

    Code:
    $ gunzip -c apcu_x.y.tar.gz | tar xf -
    $ cd apcu_x.y
    $ /path/to/phpize
    $ ./configure [--with-php-config=/path/to/php-config]
    $ make
    $ make install
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    676
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    You may find this post helpful:

    pear , pecl not working after EasyApach4

    Thank you.
     
  7. NovemberRain

    NovemberRain Well-Known Member

    Joined:
    Sep 24, 2003
    Messages:
    93
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    İstanbul
    cPanel Access Level:
    Root Administrator
  8. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    676
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    To update, the last response on that thread notes the resolution of the issue with PECL working on EasyApache 4. You can use the "yum update" command to receive the updates with that resolution.

    Thank you.
     
Loading...

Share This Page